package stubs

import (
	"regexp"
)

// Мужские имена

var MaleNames = [35]string{
	"Георгий",
	"Владимир",
	"Александр",
	"Борис",
	"Николай",
	"Иван",
	"Илья",
	"Роман",
	"Константин",
	"Евгений",
	"Алексей",
	"Егор",
	"Кирилл",
	"Максим",
	"Олег",
	"Сергей",
	"Владислав",
	"Ахмед",
	"Рассул",
	"Руслан",
	"Иман",
	"Шамиль",
	"Сасун",
	"Ярослав",
	"Арсений",
	"Петр",
	"Артем",
	"Глеб",
	"Даниил",
	"Данил",
	"Данила",
	"Вячеслав",
	"Марат",
	"Семен",
	"Юрий",
}

// Женские имена

var FemaleNames = [35]string{
	"Светлана",
	"Руслана",
	"Олеся",
	"Алеся",
	"Ольга",
	"Ксения",
	"Татьяна",
	"Лариса",
	"Галина",
	"Анастасия",
	"Кристина",
	"Надежда",
	"Карина",
	"Ангелина",
	"Юлия",
	"Александра",
	"Зинаида",
	"Злата",
	"Ирина",
	"Алина",
	"Алла",
	"Валентина",
	"Валерия",
	"Антонина",
	"Виктория",
	"Варвара",
	"Лилия",
	"Лада",
	"Алена",
	"Наталья",
	"Маргарита",
	"Ульяна",
	"Людмила",
	"Яна",
	"Софья",
}

// Универсальные фамилии

var Surnames = [41]string{
	"Косых",
	"Седых",
	"Поддых",
	"Карпович",
	"Абрамович",
	"Тверских",
	"Золотых",
	"Король",
	"Черных",
	"Нетребко",
	"Кирьяненко",
	"Ковренко",
	"Петренко",
	"Жмых",
	"Сельдь",
	"Лобода",
	"Слобода",
	"Захарченко",
	"Тимошенко",
	"Порошенко",
	"Янукович",
	"Семенович",
	"Чех",
	"Пожилых",
	"Смерть",
	"Маринко",
	"Лопата",
	"Малых",
	"Больших",
	"Стенчук",
	"Борисчук",
	"Савельенко",
	"Табурет",
	"Туррет",
	"Номад",
	"Смитт",
	"Германика",
	"Лепс",
	"Швепс",
	"Миллер",
	"Гитлер",
}

// MorphMiddleName Упрощенный морфер, создающий +- правдоподобное отчество в зависимости от пола
func MorphMiddleName(name string, gender bool) (middleName string) {
	rootForm := name
	runeName := []rune(name)
	lastCharacter := string(runeName[len(runeName)-1:])

	endsOnVowel, _ := regexp.MatchString(`[аеёиоуыэюйья]`, lastCharacter)

	if endsOnVowel {
		rootForm = string(runeName[0 : len(runeName)-1])
	}

	switch gender {
	case true:
		if endsOnVowel {
			middleName = rootForm + "евич"
		} else {
			middleName = rootForm + "ович"
		}
	case false:
		if endsOnVowel {
			middleName = rootForm + "евна"
		} else {
			middleName = rootForm + "овна"
		}
	}

	return middleName
}
